### Method

# Json ObjectIter init_ordered

since: 1.6

#### Declaration [src]

    void
    json_object_iter_init_ordered (
      JsonObjectIter* iter,
      JsonObject* object
    )

#### Description [src]

Initialises the `iter` and associate it with `object`.

    JsonObjectIter iter;
    const gchar *member_name;
    JsonNode *member_node;

    json_object_iter_init_ordered (&iter, some_object);
    while (json_object_iter_next_ordered (&iter, &member_name, &member_node))
      {
        // Do something with @member_name and @member_node.
      }

See also: `json_object_iter_init()`.

Available since: 1.6

#### Parameters

`object`

  Type: `JsonObject`

  The JSON object to iterate over.

  The data is owned by the caller of the method.